Summary:        LTTng Userspace Tracer library
Name:           lttng-ust
Version:        2.13.5
Release:        3%{?dist}
License:        LGPLv2.1, MIT and GPLv2
URL:            https://lttng.org
Source0:        %{url}/files/lttng-ust/%{name}-%{version}.tar.bz2

Patch3000:      lttng-gen-tp-shebang.patch

BuildRequires:  autoconf automake gnupg2 libtool libuuid-devel pkgconfig systemtap-sdt-devel
BuildRequires:  userspace-rcu-devel numactl-devel

%description
This library may be used by user-space applications to generate trace-points using LTTng.

%package -n %{name}-devel
Summary:        LTTng Userspace Tracer library headers and development files
Requires:       %{name} = %{version}-%{release}
Requires:       userspace-rcu-devel
Requires:       systemtap-sdt-devel

%description -n %{name}-devel
The %{name}-devel package contains libraries and header to instrument applications using %{name}

%package -n python3-lttngust
Summary:        Python bindings for LTTng UST
Requires:       %{name} = %{version}-%{release}
BuildRequires:  python3-devel python3-setuptools make

%description -n python3-lttngust
The python3-lttngust package contains libraries needed to instrument applications that use %{name}'s Python logging backend.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -vif

%configure \
    --docdir=%{_docdir}/%{name} \
    --disable-static \
    --enable-python-agent \
    --with-sdt \
    --enable-numa

%make_build

%install
%make_install
rm -vf %{buildroot}%{_libdir}/*.la

%check
%make_build check

%files
%license %{_docdir}/%{name}/LICENSE
%{_libdir}/*.so.*
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/ChangeLog
%{_docdir}/%{name}/java-agent.txt
%{_docdir}/%{name}/README.md
%{_mandir}/man3/do_tracepoint.3.gz
%{_mandir}/man3/lttng-ust.3.gz
%{_mandir}/man3/lttng-ust-cyg-profile.3.gz
%{_mandir}/man3/lttng-ust-dl.3.gz
%{_mandir}/man3/lttng_ust_do_tracepoint.3.gz
%{_mandir}/man3/lttng_ust_tracef.3.gz
%{_mandir}/man3/lttng_ust_tracelog.3.gz
%{_mandir}/man3/lttng_ust_tracepoint.3.gz
%{_mandir}/man3/lttng_ust_tracepoint_enabled.3.gz
%{_mandir}/man3/lttng_ust_vtracef.3.gz
%{_mandir}/man3/lttng_ust_vtracelog.3.gz
%{_mandir}/man3/tracef.3.gz
%{_mandir}/man3/tracelog.3.gz
%{_mandir}/man3/tracepoint.3.gz
%{_mandir}/man3/tracepoint_enabled.3.gz

%files -n %{name}-devel
%dir %{_docdir}/%{name}/examples
%{_docdir}/%{name}/examples/*
%{_bindir}/lttng-gen-tp
%{_prefix}/include/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/lttng-ust*.pc
%{_mandir}/man1/lttng-gen-tp.1.gz

%files -n python3-lttngust
%{python3_sitelib}/lttngust/
%{python3_sitelib}/lttngust-*.egg-info

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13.5-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 8 2022 Shuo Wang <abushwang@tencent.com> - 2.13.5-1
- initial build
